
#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float u_dstAlpha;
uniform vec4 u_color;

void main() {
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    gl_FragColor = vec4(u_color.r * u_color.a * color.a + color.r * u_dstAlpha,
                        u_color.g * u_color.a * color.a + color.g * u_dstAlpha,
                        u_color.b * u_color.a * color.a + color.b * u_dstAlpha,
                        color.a);
}

